## Function(treeId, treeNode)setting.callback.beforeRemove

### Overview[ depends on jquery.ztree.exedit js ]

Used to capture the event before remove node, zTree based on return value to determine whether to allow to remove node.

Default: null

### Function Parameter Descriptions

#### treeId String

zTree unique identifier: treeId, easy for users to control.

#### treeNode JSON

JSON data object of the node which will be removed.

#### Return Boolean

return true or false

If return false, zTree will not remove node, and will not trigger the 'onRemove' callback.

### Examples of setting & function

#### 1. disable to remove node

    function zTreeBeforeRemove(treeId, treeNode) {
    	return false;
    }
    var setting = {
    	edit: {
    		enable: true
    	},
    	callback: {
    		beforeRemove: zTreeBeforeRemove
    	}
    };
    ......